Skip to main content
PATCH
/
api
/
admin
/
v1
/
deploymentTargets
/
{deploymentTargetId}
/
resourceConfigurations
/
{resourceConfigurationId}
Updates a Resource Configuration
curl --request PATCH \
  --url https://api.example.com/api/admin/v1/deploymentTargets/{deploymentTargetId}/resourceConfigurations/{resourceConfigurationId} \
  --header 'Content-Type: application/json' \
  --header 'X-Domino-Api-Key: <api-key>' \
  --data '
{
  "id": "<string>",
  "configuration": {},
  "description": "<string>",
  "name": "gpu_large"
}
'
{
  "configuration": {},
  "deploymentTargetId": "<string>",
  "id": "<string>",
  "lastModified": "2023-11-07T05:31:56Z",
  "name": "gpu_large",
  "description": "<string>"
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

deploymentTargetId
string
required

ID of the Deployment Target that Resource Configuration belongs to.

resourceConfigurationId
string
required

ID of the Resource Configuration.

Body

application/json

Details of the Resource Configuration to create

Resource Configuration update request

id
string
required

UUID for the Resource Configuration

configuration
object

Configuration of this Resource Configuration following the schema in its Deployment Target Type

description
string

Description for the Resource Configuration

name
string

Internal name for the Resource Configuration

Example:

"gpu_large"

Response

Success

Resource Configuration

configuration
object
required

Configuration of this Resource Configuration following the schema in its Deployment Target Type

deploymentTargetId
string
required

ID of the Deployment Target this Resource Configuration belongs to

id
string
required

UUID for the Resource Configuration

lastModified
string<date-time>
required

Timestamp of the last update to the resource configuration (will be the creation timestamp on creation)

name
string
required

Internal name for the Resource Configuration

Example:

"gpu_large"

description
string

Description for the Resource Configuration